Updating firefox portable

As already mentioned, Firefox is a default Internet browser on Ubuntu 18.04 Bionic Beaver system.

This means that most likely it is already installed on your system.

Updated to version 60.0.1 Mike Walsh provided a pet for a menu entry: Required for this is that the firefox32 (or firefox64) folder is in /opt (so the path is e.g: /opt/firefox32/).

EDIT: Re-uploaded without any special "sandbox.security" pre-configuration included (not needed anymore), see also EDIT Updated to version 63.0.3, replaced download links below.

I think, similarly, fredx181 solves the apulse problem by including the necessary libraries. /bin/sh LAUNCHDIR="$(cd "$(dirname "

Going to about:config and changing security.sandbox.content.level from 3 to 0 made the sound work again, but I am under the impression that turns off a lot of security stuff. I think I'll stick with my Chromium-based browsers. More proof that I was on the right track when I 'dropped' FF all those years ago..... default Pref("security.sandbox.content.level", 2); // set new default value default Pref("security.sandbox.content.write_path_whitelist", "/dev/snd/"); default Pref("security.sandbox.content.syscall_whitelist", "54"); default Pref("security.sandbox.content.read_path_whitelist", "/dev/snd/"); I'm trying to run ff32 on X-Slacko Slim 4.4.r9. You should be able to search for gtk-3 or maybe just gtk in Puppy Package Manager and find what you need to install.It has lots of great features including popup-blocking, tabbed-browsing, integrated search, improved privacy features, automatic updating and more.Plus, thanks to the Portable Apps launcher bundled in Firefox Portable, it leaves no personal information behind on the machine you run it on, so you can take your favorite browser along with all your favorite bookmarks and extensions with you wherever you go. I travel with my EEEpc and can transfer all my new bookmarks and other files to that via USP drive with firefox portable installed on it.I am sure there is a better setting to use that will allow the sound and leave more of the sandbox security in place that rcrsn51 and fred will figure out. Trying the security.sandbox.content.level change makes absolutely no difference. Got that: /mnt/sda1/firefox32/ff XPCOMGlue Load error for file /mnt/sda1/firefox32/libmozgtk.so: libgtk-30: cannot open shared object file: No such file or directory Couldn't load XPCOM. Got that: /mnt/sda1/firefox32/ff XPCOMGlue Load error for file /mnt/sda1/firefox32/libmozgtk.so: libgtk-30: cannot open shared object file: No such file or directory Couldn't load XPCOM. Try that and report back if you can't make it work.I'll cross post this in the Debian Stretch thread to rcrsn51 will see it. Radiotunes flips rapidly through a whole bunch of tracks before giving up, with a pop-up informing you that it is 'Unable to capture the stream. If we know the slackware version, we could probably find what you need to add online.

")"; pwd)" mkdir "$LAUNCHDIR/profile" 2 /dev/null "$LAUNCHDIR/apulse" "$LAUNCHDIR/firefox" "[email protected]" -profile "$LAUNCHDIR/profile" The reference to apulse above is (I think) to the bash-script named apulse which reads: #!

/bin/sh APULSEPATH="/usr/lib/apulse" LD_LIBRARY_PATH=$APULSEPATH$ exec "[email protected]" Firefox's folder, itself, contains several libpulse-related libraries, and symbolic links (as necessary) to those. That's about as far as my understanding goes, As they say, a little knowledge is a dangerous thing.

Going to about:config and changing security.sandbox.content.level from 3 to 0 made the sound work again, but I am under the impression that turns off a lot of security stuff. I think I'll stick with my Chromium-based browsers. More proof that I was on the right track when I 'dropped' FF all those years ago..... default Pref("security.sandbox.content.level", 2); // set new default value default Pref("security.sandbox.content.write_path_whitelist", "/dev/snd/"); default Pref("security.sandbox.content.syscall_whitelist", "54"); default Pref("security.sandbox.content.read_path_whitelist", "/dev/snd/"); I'm trying to run ff32 on X-Slacko Slim 4.4.r9. You should be able to search for gtk-3 or maybe just gtk in Puppy Package Manager and find what you need to install.

It has lots of great features including popup-blocking, tabbed-browsing, integrated search, improved privacy features, automatic updating and more.

Plus, thanks to the Portable Apps launcher bundled in Firefox Portable, it leaves no personal information behind on the machine you run it on, so you can take your favorite browser along with all your favorite bookmarks and extensions with you wherever you go. I travel with my EEEpc and can transfer all my new bookmarks and other files to that via USP drive with firefox portable installed on it.

I am sure there is a better setting to use that will allow the sound and leave more of the sandbox security in place that rcrsn51 and fred will figure out. Trying the security.sandbox.content.level change makes absolutely no difference. Got that: /mnt/sda1/firefox32/ff XPCOMGlue Load error for file /mnt/sda1/firefox32/libmozgtk.so: libgtk-30: cannot open shared object file: No such file or directory Couldn't load XPCOM. Got that: /mnt/sda1/firefox32/ff XPCOMGlue Load error for file /mnt/sda1/firefox32/libmozgtk.so: libgtk-30: cannot open shared object file: No such file or directory Couldn't load XPCOM. Try that and report back if you can't make it work.

I'll cross post this in the Debian Stretch thread to rcrsn51 will see it. Radiotunes flips rapidly through a whole bunch of tracks before giving up, with a pop-up informing you that it is 'Unable to capture the stream. If we know the slackware version, we could probably find what you need to add online.

Search for updating firefox portable:

updating firefox portable-50updating firefox portable-20updating firefox portable-64

For example, this would be the right one for slackware 14.

Leave a Reply

Your email address will not be published. Required fields are marked *

One thought on “updating firefox portable”